## elk 3.99.8

=== debian/changelog ===
elk (3.99.8-10) unstable; urgency=medium

  * QA upload.
  * Build with -std=gnu17 to fix building with GCC 15.  (Closes: #1096572)

 -- Andreas Beckmann <anbe@debian.org>  Thu, 18 Sep 2025 05:07:33 +0200

elk (3.99.8-9) unstable; urgency=medium

  * QA upload.
  * Fix building with libxaw 1.0.16.  (Closes: #1088716)

 -- Andreas Beckmann <anbe@debian.org>  Mon, 23 Dec 2024 01:39:47 +0100

elk (3.99.8-8) unstable; urgency=medium

  * QA upload.
  * Fix building with GCC 14.  (Closes: #1074935)

 -- Andreas Beckmann <anbe@debian.org>  Thu, 29 Aug 2024 10:33:08 +0200

elk (3.99.8-7) unstable; urgency=medium

  * QA upload.
  * Do not skip the testsuite.
  * Override library-not-linked-against-libc for shared modules.
  * Strip static modules.
  * Enable all hardening flags.
  * Build under LC_ALL=C.UTF-8 for reproducible documentation indices.

 -- Andreas Beckmann <anbe@debian.org>  Sun, 05 May 2024 23:15:34 +0200

elk (3.99.8-6) unstable; urgency=medium

  * QA upload.
  * Fix Breaks+Replaces for the 64-bit time_t transition.  (Closes: #1065126)
  * Set Rules-Requires-Root: no.

 -- Andreas Beckmann <anbe@debian.org>  Tue, 05 Mar 2024 16:08:09 +0100

elk (3.99.8-5) unstable; urgency=medium

  * QA upload.
  * Bump Standards-Version to 4.6.2.
  * Bump debhelper compat to v13.
  * debian/: Apply "wrap-and-sort -abst".
  * debian/patches/0005-include-kernel.h-Include-missing-string.h: Add patch
    to fix FTBFS due to using strlen without including string.h.

  [ Ondřej Nový ]
  * d/changelog: Remove trailing whitespaces

  [ Debian Janitor ]
  * Apply multi-arch hints.
    + libelk0t64, libelk0-dev: Add Multi-Arch: same.
    + elkdoc: Add Multi-Arch: foreign.
  * Orphan package - see bug 1011569.
  * Remove constraints unnecessary since buster (oldstable):
    + libelk0: Drop conflict with removed package elk (<< 3.99-1) in Conflicts.
    + libelk0: Drop conflict with removed package elk (<< 3.99-1) in Replaces.
    + libelk0-dev: Drop conflict with removed package elk (<< 3.99-1) in
      Conflicts.
    + libelk0-dev: Drop conflict with removed package elk (<< 3.99-1) in
      Replaces.

 -- Boyuan Yang <byang@debian.org>  Wed, 28 Feb 2024 10:55:07 -0500

elk (3.99.8-4.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1062536

 -- Michael Hudson-Doyle <mwhudson@debian.org>  Wed, 28 Feb 2024 03:37:48 +0000

elk (3.99.8-4.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Inject package into Salsa
  * Fix linking with library (thanks for the patch to Juhani Numminen
    <juhaninumminen0@gmail.com>)
    Closes: #906353
  * Add Homepage
  * Add watch file
  * Verified that links are not broken in latest build
    Closes: #715078

 -- Andreas Tille <tille@debian.org>  Fri, 14 Sep 2018 09:08:44 +0200

elk (3.99.8-4.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Exclude test that is known to fail on i386
    Closes: #798322
  * libeld-dev Depends: libelk0 (= ${binary:Version})
    Closes: #825585

 -- Andreas Tille <tille@debian.org>  Fri, 16 Sep 2016 09:17:06 +0200

elk (3.99.8-4) unstable; urgency=medium

  * Acknowledge the old 3.99.8-2.1 NMU that I accidentally removed
    (Closes: #786368).

 -- Sam Hocevar <sho@debian.org>  Sun, 28 Jun 2015 13:30:05 +0200

elk (3.99.8-3) unstable; urgency=medium

  * Switch to debhelper 9 so that we automatically get hardening flags,
    as well as build-arch and build-indep targets (Closes: #648293).
  * Use dh-autoreconf to fix builds on some platforms (Closes: #733085).
  * Build-depend on libelf-dev instead of libelf0g-dev (Closes: #769430).

  * 100_multiarch.diff: new patch; add multiarch support (Closes: #723298).
  * 200_64-bit-support.diff: new patch; add 64-bit support.
  * 210_hurd.diff: new patch, courtesy of Cyril Roelandt; fix Hurd
    support by not using MAXHOSTNAMELEN (Closes: #672513).


 -- Sam Hocevar <sho@debian.org>  Mon, 04 May 2015 21:25:06 +0200

elk (3.99.8-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * Transition from lesstif2 to motif (Closes: #714658).

 -- Luk Claes <luk@debian.org>  Sat, 14 Sep 2013 11:56:24 +0200

elk (3.99.8-2) unstable; urgency=low

  * debian/rules: fix a dh_clean that should really be dh_prep.

 -- Sam Hocevar <sho@debian.org>  Sun, 19 Jun 2011 02:40:55 +0200

elk (3.99.8-1) unstable; urgency=low

  * New upstream release, with newer config.guess and config.sub
    (Closes: #550156).
  * debian/rules: empty dependency_libs in .la files (Closes: #621290). The
    .la files are still necessary for plugin loading.
  * debian/compat: set compat level to 8.
  * debian/prerm: remove now useless prerm fixup.

 -- Sam Hocevar <sho@debian.org>  Sat, 18 Jun 2011 13:49:45 +0200

elk (3.99.7-1) unstable; urgency=low

  * New upstream release.

  * Upstream fixed the build with Xorg 7.0 (Closes: #373572).

  * debian/control:
    + Build-depend on lesstif2-dev instead of lesstif-dev.
    + Build-depend on debhelper (>= 4.0).
    + Set policy to 3.7.2.
  * debian/compat:
    + Set compatibility level to 4.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Thu,  2 Mar 2006 14:20:10 +0100

elk (3.99.6-4) unstable; urgency=low

  * src/cont.c:
    + Workaround for an amd64 gcc ICE, thanks to Kurt Roeckx (Closes: #308188).
  * debian/control:
    + Set policy to 3.6.2.1.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Tue,  1 Nov 2005 19:49:42 +0100

elk (3.99.6-3) unstable; urgency=low

  * debian/control:
    + Build-depend on the new X development packages instead of xlibs-dev.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Sun, 14 Mar 2004 13:09:32 +0100

elk (3.99.6-2) unstable; urgency=low

  * debian/control:
    + Switched back to libelfg0-dev because libelf1-dev was removed from
      unstable (Closes: #225656).
  * debian/rules:
    + Added touch calls to avoid build failures due to clock skews.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Wed, 31 Dec 2003 18:24:21 +0100


