=== debian/control ===
Source: elk
Section: devel
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends:
 debhelper-compat (= 13),
 dpkg-dev (>= 1.22.5),
 groff,
 libelf-dev,
 libgdbm-dev,
 libice-dev,
 libmotif-dev,
 libsm-dev,
 libx11-dev,
 libxaw7-dev (>= 2:1.0.16),
 libxext-dev,
 libxmu-dev,
 libxt-dev,
Rules-Requires-Root: no
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/debian/elk
Vcs-Git: https://salsa.debian.org/debian/elk.git
Homepage: http://sam.zoy.org/elk/

Package: elk
Architecture: any
Section: interpreters
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Conflicts:
 pact (<= 980714-1),
Description: scheme interpreter
 Elk is an implementation of the Scheme programming language, designed
 specifically as an embeddable, reusable extension language subsystem for
 applications written in C or C++.
 .
 This package contains the Elk Scheme interpreter, as well as several plugins
 shipped with Elk. They provide hooks for Unix system calls, the X Window
 System, as well as the X Athena Widgets and the Motif toolkits. Example
 scripts on how to use these plugins are provided in the elkdoc package.

Package: elkdoc
Architecture: all
Section: doc
Depends:
 ${misc:Depends},
Multi-Arch: foreign
Description: documentation for the Extension Language Kit
 Elk is an implementation of the Scheme programming language, designed
 specifically as an embeddable, reusable extension language subsystem for
 applications written in C or C++.
 .
 This package contains the Elk documentation.

Package: libelk0-dev
Architecture: any
Section: libdevel
Depends:
 libelf-dev,
 libelk0t64 (= ${binary:Version}),
 libice-dev,
 libsm-dev,
 libx11-dev,
 libxext-dev,
 libxmu-dev,
 libxt-dev,
 ${misc:Depends},
 ${shlibs:Depends},
Multi-Arch: same
Description: development files for libelk0t64
 Elk is an implementation of the Scheme programming language, designed
 specifically as an embeddable, reusable extension language subsystem for
 applications written in C or C++.
 .
 This package contains the header files and static library needed to compile
 applications that use libelk0.

Package: libelk0t64
Provides:
 ${t64:Provides},
Breaks:
 libelk0 (<< ${source:Version}),
Replaces:
 libelk0,
Architecture: any
Section: libs
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Multi-Arch: same
Description: implementation of Scheme (the Extension Language Kit)
 Elk is an implementation of the Scheme programming language, designed
 specifically as an embeddable, reusable extension language subsystem for
 applications written in C or C++.
 .
 This package contains the libelk0t64 runtime library.
