=== debian/rules ===
#!/usr/bin/make -f

# see FEATURE AREAS in dpkg-buildflags(1)
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_CFLAGS_MAINT_APPEND	 = -std=gnu17

FAIL_ON_I386_TESTS := check-gc

%:
	dh $@

override_dh_auto_build:
	LC_ALL=C.UTF-8 dh_auto_build

execute_after_dh_auto_install:
	sed -i "s/^dependency_libs.*/dependency_libs=''/" \
	   $(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/elk/*.la
	rm -f $(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/*.la

ifneq (,$(filter %i386,$(DEB_HOST_ARCH)))
execute_before_dh_auto_test:
	# exclude tests known to fail
	for tst in $(FAIL_ON_I386_TESTS) ; do sed -i "/^native_tests = /s/$${tst}//" test/Makefile ; echo "skipping test $${tst} which is known to fail in i386" ; done
endif

# dh_strip only acts on lib*.a
execute_before_dh_strip:
	for a in debian/elk/usr/lib/$(DEB_HOST_MULTIARCH)/elk/*.a ; do mv -v $$a $$(dirname $$a)/lib$$(basename $$a) ; done
execute_after_dh_strip:
	for a in debian/elk/usr/lib/$(DEB_HOST_MULTIARCH)/elk/*.a ; do mv -v $$a $$(dirname $$a)/$$(basename $$a | sed s/^lib//) ; done
