=== debian/watch ===
version=4

http://sam.zoy.org/elk/elk@ANY_VERSION@@ARCHIVE_EXT@
